Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.searchClient.Searcher

Provides API for searching the workspace.
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/searchClient.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.searchClient.Searcher(options) Creates a new search client.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createSearchQuery(query, nameQuery, sort, useRoot, searchPrefix, forceRegEx) Returns a query URL for a search.
| getChildrenLocation()
| getFileService()
| getSearchLocation()
| getSearchRootLocation()
| handleError(response, resultsNode)
| search(query, excludeFile, Callback, keyWordSearch) Runs a search and displays the results under the given DOM node.
| setChildrenLocationbyURL(locationURL)
| setCrawler(crawler)
| setLocationByMetaData(meta, useParentLocation)
| setLocationbyURL(locationURL)
| setRootLocationbyURL(locationURL)

Class Detail
orion.searchClient.Searcher(options)
Creates a new search client.

Parameters:
{Object} options
  The options object
{orion.serviceregistry.ServiceRegistry} options.serviceRegistry
  The service registry

Method Detail
createSearchQuery(query, nameQuery, sort, useRoot, searchPrefix, forceRegEx)
Returns a query URL for a search.

Parameters:
{String} query
  The text to search for, or null when searching purely on file name
{String} nameQuery Optional
  The name of a file to search for
{String} sort Optional
  The field to sort search results on. By default results will sort by path
{Boolean} useRoot Optional
  If true, do not use the location property of the searcher. Use the root url of the file system instead.
searchPrefix
forceRegEx

getChildrenLocation()

getFileService()

getSearchLocation()

getSearchRootLocation()

handleError(response, resultsNode)

Parameters:
response
resultsNode

search(query, excludeFile, Callback, keyWordSearch)
Runs a search and displays the results under the given DOM node.

Parameters:
{String} query
  URI of the query to run.
{String} excludeFile Optional
  URI of a file to exclude from the result listing.
{Function(JSONObject)} Callback
  function that receives the results of the query.
{Boolean} keyWordSearch Optional
  If true, do keyword search. Otherwise do name search.

setChildrenLocationbyURL(locationURL)

Parameters:
locationURL

setCrawler(crawler)

Parameters:
crawler

setLocationByMetaData(meta, useParentLocation)

Parameters:
meta
useParentLocation

setLocationbyURL(locationURL)

Parameters:
locationURL

setRootLocationbyURL(locationURL)

Parameters:
locationURL

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)